### Method

# Clutter Stage paint_to_content

#### Declaration [src]

    ClutterContent*
    clutter_stage_paint_to_content (
      ClutterStage* stage,
      const MtkRectangle* rect,
      float scale,
      ClutterPaintFlag paint_flags,
      GError** error
    )

#### Description [src]

Take a snapshot of the stage to a `ClutterContent`.

#### Parameters

`rect`

  Type: `MtkRectangle`

  A rectangle.

  The data is owned by the caller of the method.

`scale`

  Type: `float`

  The scale.

`paint_flags`

  Type: `ClutterPaintFlag`

  The `ClutterPaintFlag`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `ClutterContent`

The `ClutterContent` or `NULL` on error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.